Subject: Re: git push from client is not updating files on server

From: Holger Hellmuth <[email-masked]>
Date: Wed, 07 Mar 2012 12:04:13 +0100

On 07.03.2012 03:34, Neal Kreitzinger wrote:
> Create a new non-bare clone of your bare repo. Then do git-pull on the
> new non-bare after the bare gets updates (someone does git push to it)
> and you want to test those new commits. The worktree of the new non-bare
> clone can be the document root of your testing virtual host, if that's
> what you're doing. That way, you know that no one else is messing with
> new non-bare (test repo) like doing development in it and messing up
> your tests.

To expand on Neals method, if you do git fetch (periodically in a cron 
job for example) on the cloned non-bare, 'git log HEAD..origin/HEAD' 
will have output only if the non-bare has new commits.